Package com.independentsoft.office.odf.styles

# Class PageLayout

java.lang.Object
com.independentsoft.office.odf.styles.PageLayout

public class PageLayout extends Object
Represents the styles that establish the formatting properties of a page.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PageLayout()`
  Initializes a new instance of the PageLayout class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PageLayout`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `FooterStyle`
  `getFooterStyle()`
  Gets the formatting properties for a footer element.
  `HeaderStyle`
  `getHeaderStyle()`
  Gets the formatting properties for a header element.
  `String`
  `getName()`
  Gets the style name.
  `PageLayoutProperties`
  `getPageLayoutProperties()`
  Specifies formatting properties for page layout.
  `PageUsage`
  `getPageUsage()`
  Gets the type of pages that a page master should generate.
  `void`
  `setFooterStyle​(FooterStyle footerStyle)`
  Sets the formatting properties for a footer element.
  `void`
  `setHeaderStyle​(HeaderStyle headerStyle)`
  Sets the formatting properties for a header element.
  `void`
  `setName​(String name)`
  Sets the style name.
  `void`
  `setPageUsage​(PageUsage pageUsage)`
  Sets the type of pages that a page master should generate.
  `String`
  `toString()`
  Converts the value of the current PageLayout object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PageLayout

    public PageLayout()
    Initializes a new instance of the PageLayout class.

- ## Method Details

  - ### clone

    public PageLayout clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current PageLayout object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getName

    public String getName()
    Gets the style name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the style name.
    Parameters:
      `name` - the new name

  - ### getPageUsage

    public PageUsage getPageUsage()
    Gets the type of pages that a page master should generate.
    Returns:
      the page usage

  - ### setPageUsage

    public void setPageUsage​(PageUsage pageUsage)
    Sets the type of pages that a page master should generate.
    Parameters:
      `pageUsage` - the new page usage

  - ### getPageLayoutProperties

    public PageLayoutProperties getPageLayoutProperties()
    Specifies formatting properties for page layout.
    Returns:
      the page layout properties

  - ### getHeaderStyle

    public HeaderStyle getHeaderStyle()
    Gets the formatting properties for a header element.
    Returns:
      the header style

  - ### setHeaderStyle

    public void setHeaderStyle​(HeaderStyle headerStyle)
    Sets the formatting properties for a header element.
    Parameters:
      `headerStyle` - the new header style

  - ### getFooterStyle

    public FooterStyle getFooterStyle()
    Gets the formatting properties for a footer element.
    Returns:
      the footer style

  - ### setFooterStyle

    public void setFooterStyle​(FooterStyle footerStyle)
    Sets the formatting properties for a footer element.
    Parameters:
      `footerStyle` - the new footer style